- Qt 5.0
- Qt 5.0.0 Reference Documentation

# DetailRangeFilter QML Type

The DetailRangeFilter element provides a filter based around a detail value range criterion. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- detail : enum
- field : enum
- matchFlags : enumeration
- max : variant
- min : variant
- rangeFlags : enumeration

## Signals

- onFilterChanged()

## Detailed Description

See also QOrganizerItemDetailRangeFilter.

## Property Documentation

detail : enum

This property holds the detail type of which the detail filter will be matched to. The value shuold be the enumeration value of Detail::type.

field : enum

This property holds the detail field type of which the detail filter will be matched to. The value should be the filld enumeration value defined in each detail element.

See also EventTime, JournalTime, TodoTime, TodoProgress, Reminder, AudibleReminder, VisualReminder, EmailReminder, Comment, Description, DisplayLabel, Guid, Location, Parent, Priority, Recurrence, Timestamp, ItemType, and Tag.

matchFlags : enumeration

This property holds the match flags of the criterion, which define semantics such as case sensitivity, and exact matching.

See also DetailFieldFilter::matchFlags.

max : variant

This property holds the upper bound of the value range criterion. By default, there is no upper bound.

min : variant

This property holds the lower bound of the value range criterion. By default, there is no lower bound.

rangeFlags : enumeration

This property holds a set of flags which defines the boundary condition semantics of the value range criterion. The valid range flags include:

- DetailRangeFilter.IncludeLower
- DetailRangeFilter.IncludeUpper
- DetailRangeFilter.ExcludeLower
- DetailRangeFilter.ExcludeUpper

## Signal Documentation

onFilterChanged()

Note: The corresponding handler is `onOnFilterChanged`.

See also QtOrganizer5::Filter::onFilterChanged.